package com.ruoyi.mall.domain.Bo;

/**
 * redis 存储聊天信息类
 */
public class SaveMessage implements Comparable{
    /**
     * 用户角色
     * 目前支持：
     * user 用户
     * assistant 对话助手
     */
    private String role;

    /**
     * 对话内容。
     */
    private  String content;

    /** 是否有语音0-没有,1-有 */
    private Integer hasVoice;

    /** 语音地址 */
    private String voiceUrl;

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getHasVoice() {
        return hasVoice;
    }

    public void setHasVoice(Integer hasVoice) {
        this.hasVoice = hasVoice;
    }

    public String getVoiceUrl() {
        return voiceUrl;
    }

    public void setVoiceUrl(String voiceUrl) {
        this.voiceUrl = voiceUrl;
    }

    @Override
    public int compareTo(Object o) {
        return 0;
    }
}
